#
# Pre Patch script
#
###########################################################
#
# The file $PATCHDIR/config.list is generated containing the
# list of files under config_templatelist
# i.e. the list of template files that have changed

# list of config files that were changed
# - list of template files
# - list of their final resting places in the config area
#
# list has:
# - mta config files that I know have changed
#   use config.ins.template
# - mail/express/install.ins
# - mail/express/imx/install.ins
# - mail/express/en/help/images/install.ins
# - mail/express/en/help/install.ins
# - mail/express/en/install.ins
# - mail/express/en/images/install.ins
# - devinstall/install.ins (filetypes htmljs for smime)
#
# mmp files
#	lib/config-templates/AService-def.cfg
#	lib/config-templates/ImapProxyAService-def.cfg
#	lib/config-templates/PopProxyAService-def.cfg
#	lib/config-templates/SmtpProxyAService-def.cfg
#	config/AService-def.cfg
#	config/ImapProxyAService-def.cfg
#	config/PopProxyAService-def.cfg
#	config/SmtpProxyAService-def.cfg
#
#	lib/config-templates/imta_tailor
#	config/imta_tailor
#

$config_templatelist="lib/config-templates/job_controller.cnf \
	lib/config-templates/aliases \
	lib/mappings.locale \
	lib/maximum.dat \
	lib/maximum_command.dat \
	lib/maximum_charset.dat \
	lib/charnames.txt \
	lib/option_charset.dat \
	lib/charsubs.txt \
	lib/charsets.txt \
	lib/charsets_ps.txt \
	lib/name_content.dat \
	lib/countries.txt \
	lib/languages.txt \
	lib/magic.dat \
	lib/ksx1001.txt \
	lib/jis0208.txt \
	lib/jis0212.txt \
	lib/gb2312.txt \
	lib/big5.txt \
	lib/cns11643.txt \
	lib/internet.rules \
	\
	lib/locale/C/disposition_deleted.txt \
	lib/locale/C/disposition_denied.txt \
	lib/locale/C/disposition_dispatched.txt \
	lib/locale/C/disposition_displayed.txt \
	lib/locale/C/disposition_failed.txt \
	lib/locale/C/disposition_prefix.txt \
	lib/locale/C/disposition_processed.txt \
	lib/locale/C/disposition_suffix.txt \
	lib/locale/C/return_bounced.txt \
	lib/locale/C/return_capture.txt \
	lib/locale/C/return_deferred.txt \
	lib/locale/C/return_delayed.txt \
	lib/locale/C/return_delivered.txt \
	lib/locale/C/return_error.txt \
	lib/locale/C/return_failed.txt \
	lib/locale/C/return_forwarded.txt \
	lib/locale/C/return_prefix.txt \
	lib/locale/C/return_suffix.txt \
	lib/locale/C/return_timedout.txt \
	\
	lib/locale/de/disposition_deleted.txt \
	lib/locale/de/disposition_denied.txt \
	lib/locale/de/disposition_dispatched.txt \
	lib/locale/de/disposition_displayed.txt \
	lib/locale/de/disposition_failed.txt \
	lib/locale/de/disposition_prefix.txt \
	lib/locale/de/disposition_processed.txt \
	lib/locale/de/disposition_suffix.txt \
	lib/locale/de/return_bounced.txt \
	lib/locale/de/return_capture.txt \
	lib/locale/de/return_deferred.txt \
	lib/locale/de/return_delayed.txt \
	lib/locale/de/return_delivered.txt \
	lib/locale/de/return_error.txt \
	lib/locale/de/return_failed.txt \
	lib/locale/de/return_forwarded.txt \
	lib/locale/de/return_option.opt \
	lib/locale/de/return_prefix.txt \
	lib/locale/de/return_suffix.txt \
	lib/locale/de/return_timedout.txt \
	\
	lib/locale/es/disposition_deleted.txt \
	lib/locale/es/disposition_denied.txt \
	lib/locale/es/disposition_dispatched.txt \
	lib/locale/es/disposition_displayed.txt \
	lib/locale/es/disposition_failed.txt \
	lib/locale/es/disposition_prefix.txt \
	lib/locale/es/disposition_processed.txt \
	lib/locale/es/disposition_suffix.txt \
	lib/locale/es/return_bounced.txt \
	lib/locale/es/return_capture.txt \
	lib/locale/es/return_deferred.txt \
	lib/locale/es/return_delayed.txt \
	lib/locale/es/return_delivered.txt \
	lib/locale/es/return_error.txt \
	lib/locale/es/return_failed.txt \
	lib/locale/es/return_forwarded.txt \
	lib/locale/es/return_option.opt \
	lib/locale/es/return_prefix.txt \
	lib/locale/es/return_suffix.txt \
	lib/locale/es/return_timedout.txt \
	    
	lib/locale/fr/disposition_deleted.txt \
	lib/locale/fr/disposition_denied.txt \
	lib/locale/fr/disposition_dispatched.txt \
	lib/locale/fr/disposition_displayed.txt \
	lib/locale/fr/disposition_failed.txt \
	lib/locale/fr/disposition_prefix.txt \
	lib/locale/fr/disposition_processed.txt \
	lib/locale/fr/disposition_suffix.txt \
	lib/locale/fr/return_bounced.txt \
	lib/locale/fr/return_capture.txt \
	lib/locale/fr/return_deferred.txt \
	lib/locale/fr/return_delayed.txt \
	lib/locale/fr/return_delivered.txt \
	lib/locale/fr/return_error.txt \
	lib/locale/fr/return_failed.txt \
	lib/locale/fr/return_forwarded.txt \
	lib/locale/fr/return_option.opt \
	lib/locale/fr/return_prefix.txt \
	lib/locale/fr/return_suffix.txt \
	lib/locale/fr/return_timedout.txt \
	\
	lib/locale/ja/disposition_deleted.txt \
	lib/locale/ja/disposition_denied.txt \
	lib/locale/ja/disposition_dispatched.txt \
	lib/locale/ja/disposition_displayed.txt \
	lib/locale/ja/disposition_failed.txt \
	lib/locale/ja/disposition_prefix.txt \
	lib/locale/ja/disposition_processed.txt \
	lib/locale/ja/disposition_suffix.txt \
	lib/locale/ja/return_bounced.txt \
	lib/locale/ja/return_capture.txt \
	lib/locale/ja/return_deferred.txt \
	lib/locale/ja/return_delayed.txt \
	lib/locale/ja/return_delivered.txt \
	lib/locale/ja/return_error.txt \
	lib/locale/ja/return_failed.txt \
	lib/locale/ja/return_forwarded.txt \
	lib/locale/ja/return_option.opt \
	lib/locale/ja/return_prefix.txt \
	lib/locale/ja/return_suffix.txt \
	lib/locale/ja/return_timedout.txt \
	\
	lib/locale/zh/disposition_deleted.txt \
	lib/locale/zh/disposition_denied.txt \
	lib/locale/zh/disposition_dispatched.txt \
	lib/locale/zh/disposition_displayed.txt \
	lib/locale/zh/disposition_failed.txt \
	lib/locale/zh/disposition_prefix.txt \
	lib/locale/zh/disposition_processed.txt \
	lib/locale/zh/disposition_suffix.txt \
	lib/locale/zh/return_bounced.txt \
	lib/locale/zh/return_capture.txt \
	lib/locale/zh/return_deferred.txt \
	lib/locale/zh/return_delayed.txt \
	lib/locale/zh/return_delivered.txt \
	lib/locale/zh/return_error.txt \
	lib/locale/zh/return_failed.txt \
	lib/locale/zh/return_forwarded.txt \
	lib/locale/zh/return_option.opt \
	lib/locale/zh/return_prefix.txt \
	lib/locale/zh/return_suffix.txt \
	lib/locale/zh/return_timedout.txt \
	\
	lib/locale/zh_TW/disposition_deleted.txt \
	lib/locale/zh_TW/disposition_denied.txt \
	lib/locale/zh_TW/disposition_dispatched.txt \
	lib/locale/zh_TW/disposition_displayed.txt \
	lib/locale/zh_TW/disposition_failed.txt \
	lib/locale/zh_TW/disposition_prefix.txt \
	lib/locale/zh_TW/disposition_processed.txt \
	lib/locale/zh_TW/disposition_suffix.txt \
	lib/locale/zh_TW/return_bounced.txt \
	lib/locale/zh_TW/return_capture.txt \
	lib/locale/zh_TW/return_deferred.txt \
	lib/locale/zh_TW/return_delayed.txt \
	lib/locale/zh_TW/return_delivered.txt \
	lib/locale/zh_TW/return_error.txt \
	lib/locale/zh_TW/return_failed.txt \
	lib/locale/zh_TW/return_forwarded.txt \
	lib/locale/zh_TW/return_option.opt \
	lib/locale/zh_TW/return_prefix.txt \
	lib/locale/zh_TW/return_suffix.txt \
	lib/locale/zh_TW/return_timedout.txt \
	\
	lib/locale/pl/return_bounced.txt \
	lib/locale/pl/return_deferred.txt \
	lib/locale/pl/return_delayed.txt \
	lib/locale/pl/return_delivered.txt \
	lib/locale/pl/return_failed.txt \
	lib/locale/pl/return_forwarded.txt \
	lib/locale/pl/return_prefix.txt \
	lib/locale/pl/return_suffix.txt \
	lib/locale/pl/return_timedout.txt \
	\
	lib/locale/ko/disposition_deleted.txt \
	lib/locale/ko/disposition_denied.txt \
	lib/locale/ko/disposition_dispatched.txt \
	lib/locale/ko/disposition_displayed.txt \
	lib/locale/ko/disposition_failed.txt \
	lib/locale/ko/disposition_prefix.txt \
	lib/locale/ko/disposition_processed.txt \
	lib/locale/ko/disposition_suffix.txt \
	lib/locale/ko/return_bounced.txt \
	lib/locale/ko/return_capture.txt \
	lib/locale/ko/return_deferred.txt \
	lib/locale/ko/return_delayed.txt \
	lib/locale/ko/return_delivered.txt \
	lib/locale/ko/return_error.txt \
	lib/locale/ko/return_failed.txt \
	lib/locale/ko/return_forwarded.txt \
	lib/locale/ko/return_option.opt \
	lib/locale/ko/return_prefix.txt \
	lib/locale/ko/return_suffix.txt \
	lib/locale/ko/return_timedout.txt \
	lib/config-templates/sslpassword.conf \
	\
	lib/config-templates/imta.cnf \
	lib/config-templates/option.dat \
	lib/config-templates/mappings \
	lib/config-templates/dispatcher.cnf \
	lib/config-templates/msg.conf \
	\
	lib/config-templates/return_header.opt \
	\
	lib/config-templates/html/catalog.css \
	lib/config-templates/html/mail_css_ie5win.css \
	lib/config-templates/html/mail_css_ns6up.css \
	lib/config-templates/html/master-style.css \
	lib/config-templates/html/master-style_ie5up.css \
	lib/config-templates/html/master-style_ns4sol.css \
	lib/config-templates/html/master-style_ns4win.css \
	lib/config-templates/html/master-style_ns6up.css \
	lib/config-templates/html/browser.js \
	lib/config-templates/html/dtree.js \
	lib/config-templates/html/dtree.css \
	lib/config-templates/html/compRecipient.js \
	lib/config-templates/html/editPabEntry.js \
	lib/config-templates/html/editPabGroup.js \
	lib/config-templates/html/form.js \
	lib/config-templates/html/lookup.js \
	lib/config-templates/html/mailui.js \
	lib/config-templates/html/main.js \
	lib/config-templates/html/pab.js \
	lib/config-templates/html/searchusers.js \
	lib/config-templates/html/setdomain.js \
	lib/config-templates/html/smimeapplet.js \
	lib/config-templates/html/util.js \
	lib/config-templates/html/applet_fs.html \
	lib/config-templates/html/applet_fs_linx86_lr.html \
	lib/config-templates/html/applet_fs_mac_lr.html \
	lib/config-templates/html/applet_fs_sunsparc_lr.html \
	lib/config-templates/html/applet_fs_sunx86_lr.html \
	lib/config-templates/html/applet_fs_win_lr.html \
	lib/config-templates/html/attach_fs.html \
	lib/config-templates/html/attach_fs_lr.html \
	lib/config-templates/html/collect_fs.html \
	lib/config-templates/html/collect_fs_lr.html \
	lib/config-templates/html/colors.html \
	lib/config-templates/html/comp_fs.html \
	lib/config-templates/html/comp_fs_lr.html \
	lib/config-templates/html/emoticons.html \
	lib/config-templates/html/fldr_fs.html \
	lib/config-templates/html/fldr_fs_lr.html \
	lib/config-templates/html/frame.html \
	lib/config-templates/html/history.html \
	lib/config-templates/html/ldap_fs.html \
	lib/config-templates/html/mbox_fs.html \
	lib/config-templates/html/mbox_fs_lr.html \
	lib/config-templates/html/msg_fs.html \
	lib/config-templates/html/msg_fs_lr.html \
	lib/config-templates/html/opts_fs.html \
	lib/config-templates/html/popup.html \
	lib/config-templates/html/receipt_fs.html \
	lib/config-templates/html/receipt_fs_lr.html \
	lib/config-templates/html/rtfeditor.html \
	lib/config-templates/html/sample.html \
	lib/config-templates/html/searchMsg_lr.html \
	lib/config-templates/html/searchmsg_fs.html \
	lib/config-templates/html/searchmsg_fs_lr.html \
	lib/config-templates/html/select_color.html \
	lib/config-templates/html/setpermission_fs.html \
	lib/config-templates/html/setpermission_fs_lr.html \
	lib/config-templates/html/spell.html \
	lib/config-templates/html/spellSend.html \
	lib/config-templates/html/spell_lr.html \
	lib/config-templates/html/srchresults_fs.html \
	lib/config-templates/html/srchresults_fs_lr.html \
	lib/config-templates/html/subscribe_fs.html \
	lib/config-templates/html/subscribe_fs_lr.html \
	lib/config-templates/html/favicon.ico \
	lib/config-templates/smime.conf \
	\
	lib/config-templates/html/imx/banner_clouds.jpg \
	lib/config-templates/html/imx/folder-closed.jpg \
	lib/config-templates/html/imx/folder-Drafts.jpg \
	lib/config-templates/html/imx/folder-INBOX.jpg \
	lib/config-templates/html/imx/folder-open.jpg \
	lib/config-templates/html/imx/folder-Sent.jpg \
	lib/config-templates/html/imx/folder-Trash.jpg \
	lib/config-templates/html/imx/image_banner.jpg \
	lib/config-templates/html/imx/iplanet.jpg \
	lib/config-templates/html/imx/login.jpg \
	lib/config-templates/html/imx/masthead.jpg \
	lib/config-templates/html/imx/SunONE.jpg \
	lib/config-templates/html/imx/1.gif \
	lib/config-templates/html/imx/2.gif \
	lib/config-templates/html/imx/3.gif \
	lib/config-templates/html/imx/4.gif \
	lib/config-templates/html/imx/6.gif \
	lib/config-templates/html/imx/9.gif \
	lib/config-templates/html/imx/a.gif \
	lib/config-templates/html/imx/Add_All_Addresses.gif \
	lib/config-templates/html/imx/Add_All_Addresses_16.gif \
	lib/config-templates/html/imx/AddLink16.gif \
	lib/config-templates/html/imx/AddLink24.gif \
	lib/config-templates/html/imx/address.gif \
	lib/config-templates/html/imx/aleft.gif \
	lib/config-templates/html/imx/AlignCenter16.gif \
	lib/config-templates/html/imx/AlignCenter24.gif \
	lib/config-templates/html/imx/AlignLeft16.gif \
	lib/config-templates/html/imx/AlignLeft24.gif \
	lib/config-templates/html/imx/AlignRight16.gif \
	lib/config-templates/html/imx/AlignRight24.gif \
	lib/config-templates/html/imx/all-0.gif \
	lib/config-templates/html/imx/all-1.gif \
	lib/config-templates/html/imx/angel.gif \
	lib/config-templates/html/imx/angry.gif \
	lib/config-templates/html/imx/aright.gif \
	lib/config-templates/html/imx/ascending.gif \
	lib/config-templates/html/imx/attach.gif \
	lib/config-templates/html/imx/attach_comp.gif \
	lib/config-templates/html/imx/attachment_16.gif \
	lib/config-templates/html/imx/Attachment_24.gif \
	lib/config-templates/html/imx/audio.gif \
	lib/config-templates/html/imx/back.gif \
	lib/config-templates/html/imx/Back16.gif \
	lib/config-templates/html/imx/Back16dis.gif \
	lib/config-templates/html/imx/Back24.gif \
	lib/config-templates/html/imx/back_btn.gif \
	lib/config-templates/html/imx/back_not.gif \
	lib/config-templates/html/imx/Banner.gif \
	lib/config-templates/html/imx/base.gif \
	lib/config-templates/html/imx/blist.gif \
	lib/config-templates/html/imx/bold.gif \
	lib/config-templates/html/imx/Bold16.gif \
	lib/config-templates/html/imx/Bold24.gif \
	lib/config-templates/html/imx/cancel.gif \
	lib/config-templates/html/imx/Cancel_24.gif \
	lib/config-templates/html/imx/cd.gif \
	lib/config-templates/html/imx/center.gif \
	lib/config-templates/html/imx/center_strip.gif \
	lib/config-templates/html/imx/center_strip_consumer_1.gif \
	lib/config-templates/html/imx/check_all.gif \
	lib/config-templates/html/imx/compose.gif \
	lib/config-templates/html/imx/Compose_Mail_16.gif \
	lib/config-templates/html/imx/Compose_Mail_24.gif \
	lib/config-templates/html/imx/copy.gif \
	lib/config-templates/html/imx/Copy16.gif \
	lib/config-templates/html/imx/Copy24.gif \
	lib/config-templates/html/imx/cut.gif \
	lib/config-templates/html/imx/Cut16.gif \
	lib/config-templates/html/imx/Cut24.gif \
	lib/config-templates/html/imx/d.gif \
	lib/config-templates/html/imx/decending.gif \
	lib/config-templates/html/imx/del.gif \
	lib/config-templates/html/imx/delete-round.gif \
	lib/config-templates/html/imx/delete.gif \
	lib/config-templates/html/imx/Delete16.gif \
	lib/config-templates/html/imx/Delete24.gif \
	lib/config-templates/html/imx/Delete24dis.gif \
	lib/config-templates/html/imx/Delete_16.gif \
	lib/config-templates/html/imx/Delete_24.gif \
	lib/config-templates/html/imx/deleteuser.gif \
	lib/config-templates/html/imx/descending.gif \
	lib/config-templates/html/imx/devil.gif \
	lib/config-templates/html/imx/divider.gif \
	lib/config-templates/html/imx/dividerbar.gif \
	lib/config-templates/html/imx/Down16.gif \
	lib/config-templates/html/imx/Down24.gif \
	lib/config-templates/html/imx/Down24dis.gif \
	lib/config-templates/html/imx/draft-h.gif \
	lib/config-templates/html/imx/draft.gif \
	lib/config-templates/html/imx/Draft_mail_16.gif \
	lib/config-templates/html/imx/Draft_Mail_24.gif \
	lib/config-templates/html/imx/Edit_Address_16.gif \
	lib/config-templates/html/imx/Edit_address_24.gif \
	lib/config-templates/html/imx/Edit_Folder_16.gif \
	lib/config-templates/html/imx/Edit_Folder_24.gif \
	lib/config-templates/html/imx/Edit_mail_16.gif \
	lib/config-templates/html/imx/Edit_Mail_24.gif \
	lib/config-templates/html/imx/EditBook_24.gif \
	lib/config-templates/html/imx/empty.gif \
	lib/config-templates/html/imx/Encrypted16.gif \
	lib/config-templates/html/imx/Encrypted_16.gif \
	lib/config-templates/html/imx/error_16_sunplex.gif \
	lib/config-templates/html/imx/error_32_sunplex.gif \
	lib/config-templates/html/imx/Error_Large.gif \
	lib/config-templates/html/imx/Export.gif \
	lib/config-templates/html/imx/expunge.gif \
	lib/config-templates/html/imx/Expunge16.gif \
	lib/config-templates/html/imx/Expunge24.gif \
	lib/config-templates/html/imx/expunge_16.gif \
	lib/config-templates/html/imx/Expunge_24.gif \
	lib/config-templates/html/imx/f.gif \
	lib/config-templates/html/imx/fax.gif \
	lib/config-templates/html/imx/Fax16.gif \
	lib/config-templates/html/imx/Fax24.gif \
	lib/config-templates/html/imx/Fax_16.gif \
	lib/config-templates/html/imx/Fax_24.gif \
	lib/config-templates/html/imx/Find_Address_16.gif \
	lib/config-templates/html/imx/Find_address_24.gif \
	lib/config-templates/html/imx/flagged.gif \
	lib/config-templates/html/imx/fldr_edit.gif \
	lib/config-templates/html/imx/fldr_new.gif \
	lib/config-templates/html/imx/folder-0.gif \
	lib/config-templates/html/imx/folder-1.gif \
	lib/config-templates/html/imx/folder.gif \
	lib/config-templates/html/imx/folder_16.gif \
	lib/config-templates/html/imx/folder_24.gif \
	lib/config-templates/html/imx/folderopen.gif \
	lib/config-templates/html/imx/forward.gif \
	lib/config-templates/html/imx/Forward16.gif \
	lib/config-templates/html/imx/Forward16dis.gif \
	lib/config-templates/html/imx/Forward24.gif \
	lib/config-templates/html/imx/Forward_24.gif \
	lib/config-templates/html/imx/globe.gif \
	lib/config-templates/html/imx/gray70.gif \
	lib/config-templates/html/imx/gray80.gif \
	lib/config-templates/html/imx/gray90.gif \
	lib/config-templates/html/imx/grey_dot.gif \
	lib/config-templates/html/imx/grin.gif \
	lib/config-templates/html/imx/help.gif \
	lib/config-templates/html/imx/help_16_sunplex.gif \
	lib/config-templates/html/imx/help_32_sunplex.gif \
	lib/config-templates/html/imx/helpa.gif \
	lib/config-templates/html/imx/high-0.gif \
	lib/config-templates/html/imx/ileft.gif \
	lib/config-templates/html/imx/img_address_msg.gif \
	lib/config-templates/html/imx/img_attach.gif \
	lib/config-templates/html/imx/img_cancel.gif \
	lib/config-templates/html/imx/img_closed_folder.gif \
	lib/config-templates/html/imx/img_compose.gif \
	lib/config-templates/html/imx/img_delete.gif \
	lib/config-templates/html/imx/img_expunge.gif \
	lib/config-templates/html/imx/img_forward.gif \
	lib/config-templates/html/imx/img_get_mail.gif \
	lib/config-templates/html/imx/img_help.gif \
	lib/config-templates/html/imx/img_msg_read.gif \
	lib/config-templates/html/imx/img_msg_unread.gif \
	lib/config-templates/html/imx/img_new_folder.gif \
	lib/config-templates/html/imx/img_open_folder.gif \
	lib/config-templates/html/imx/img_printer.gif \
	lib/config-templates/html/imx/img_rename_folder.gif \
	lib/config-templates/html/imx/img_reply.gif \
	lib/config-templates/html/imx/img_reply_all.gif \
	lib/config-templates/html/imx/img_save_draft.gif \
	lib/config-templates/html/imx/img_type_header.gif \
	lib/config-templates/html/imx/img_undelete.gif \
	lib/config-templates/html/imx/img_update.gif \
	lib/config-templates/html/imx/imgfolder.gif \
	lib/config-templates/html/imx/Import.gif \
	lib/config-templates/html/imx/Inbox_16.gif \
	lib/config-templates/html/imx/Inbox_24.gif \
	lib/config-templates/html/imx/info_16_sunplex.gif \
	lib/config-templates/html/imx/info_32_sunplex.gif \
	lib/config-templates/html/imx/invalid_encryption.gif \
	lib/config-templates/html/imx/invalid_signature.gif \
	lib/config-templates/html/imx/iplanet.gif \
	lib/config-templates/html/imx/iplanet_logo.gif \
	lib/config-templates/html/imx/iplanetBanner.gif \
	lib/config-templates/html/imx/iright.gif \
	lib/config-templates/html/imx/italic.gif \
	lib/config-templates/html/imx/Italic16.gif \
	lib/config-templates/html/imx/Italic24.gif \
	lib/config-templates/html/imx/join.gif \
	lib/config-templates/html/imx/joinbottom.gif \
	lib/config-templates/html/imx/k.gif \
	lib/config-templates/html/imx/laugh.gif \
	lib/config-templates/html/imx/left_arrow.gif \
	lib/config-templates/html/imx/left_strip.gif \
	lib/config-templates/html/imx/left_strip_consumer_1.gif \
	lib/config-templates/html/imx/LgSortArrowsDown.gif \
	lib/config-templates/html/imx/LgSortArrowsUp.gif \
	lib/config-templates/html/imx/line.gif \
	lib/config-templates/html/imx/lock.gif \
	lib/config-templates/html/imx/login-logo.gif \
	lib/config-templates/html/imx/logo_sun.gif \
	lib/config-templates/html/imx/logout.gif \
	lib/config-templates/html/imx/love.gif \
	lib/config-templates/html/imx/low.gif \
	lib/config-templates/html/imx/lowerLeft_onWhite.gif \
	lib/config-templates/html/imx/lowerRight_onWhite.gif \
	lib/config-templates/html/imx/LrlAddAddress_wo_1.gif \
	lib/config-templates/html/imx/LrlAddLnk_1.gif \
	lib/config-templates/html/imx/LrlAddLnk_wo_1.gif \
	lib/config-templates/html/imx/LrlAttchmnt_1.gif \
	lib/config-templates/html/imx/LrlAttchmnt_16.gif \
	lib/config-templates/html/imx/LrlAttendStat_4.gif \
	lib/config-templates/html/imx/LrlBold_1.gif \
	lib/config-templates/html/imx/LrlBold_wo_1.gif \
	lib/config-templates/html/imx/LrlBulletLst_1.gif \
	lib/config-templates/html/imx/LrlBulletLst_wo_1.gif \
	lib/config-templates/html/imx/LrlCentered_1.gif \
	lib/config-templates/html/imx/LrlCentered_wo_1.gif \
	lib/config-templates/html/imx/LrlColExtMail_1.gif \
	lib/config-templates/html/imx/LrlColExtMail_wo_1.gif \
	lib/config-templates/html/imx/LrlColorHghlt_1.gif \
	lib/config-templates/html/imx/LrlColorHghlt_wo_1.gif \
	lib/config-templates/html/imx/LrlColorTxt_1.gif \
	lib/config-templates/html/imx/LrlColorTxt_wo_1.gif \
	lib/config-templates/html/imx/LrlCopy_1.gif \
	lib/config-templates/html/imx/LrlCopy_wo_1.gif \
	lib/config-templates/html/imx/LrlCut_1.gif \
	lib/config-templates/html/imx/LrlCut_wo_1.gif \
	lib/config-templates/html/imx/LrlEditMsg_1.gif \
	lib/config-templates/html/imx/LrlEditMsg_wo_1.gif \
	lib/config-templates/html/imx/LrlFldr_1.gif \
	lib/config-templates/html/imx/LrlFlushLeft_1.gif \
	lib/config-templates/html/imx/LrlFlushLeft_wo_1.gif \
	lib/config-templates/html/imx/LrlFlushRight_1.gif \
	lib/config-templates/html/imx/LrlFlushRight_wo_1.gif \
	lib/config-templates/html/imx/LrlGetMail_1.gif \
	lib/config-templates/html/imx/LrlGetMail_wo_1.gif \
	lib/config-templates/html/imx/LrlIndent_1.gif \
	lib/config-templates/html/imx/LrlIndent_wo_1.gif \
	lib/config-templates/html/imx/LrlItalic_1.gif \
	lib/config-templates/html/imx/LrlItalic_wo_1.gif \
	lib/config-templates/html/imx/LrlLink_1.gif \
	lib/config-templates/html/imx/LrlLink_wo_1.gif \
	lib/config-templates/html/imx/LrlNewFldr_1.gif \
	lib/config-templates/html/imx/LrlNewFldr_wo_1.gif \
	lib/config-templates/html/imx/LrlNewMsg_1.gif \
	lib/config-templates/html/imx/LrlNewMsg_wo_1.gif \
	lib/config-templates/html/imx/LrlNumLst_1.gif \
	lib/config-templates/html/imx/LrlNumLst_wo_1.gif \
	lib/config-templates/html/imx/LrlOutdent_1.gif \
	lib/config-templates/html/imx/LrlOutdent_wo_1.gif \
	lib/config-templates/html/imx/LrlPaste_1.gif \
	lib/config-templates/html/imx/LrlPaste_wo_1.gif \
	lib/config-templates/html/imx/LrlPersonalFldr_1.gif \
	lib/config-templates/html/imx/LrlPrintable_1.gif \
	lib/config-templates/html/imx/LrlPrintable_wo_1.gif \
	lib/config-templates/html/imx/LrlPriority_1.gif \
	lib/config-templates/html/imx/LrlRdAnsDelMsg_1.gif \
	lib/config-templates/html/imx/LrlRdAnsMsg_1.gif \
	lib/config-templates/html/imx/LrlRdDelMsg_1.gif \
	lib/config-templates/html/imx/LrlRdMsg_1.gif \
	lib/config-templates/html/imx/LrlRefresh_1.gif \
	lib/config-templates/html/imx/LrlRefresh_wo_1.gif \
	lib/config-templates/html/imx/LrlSaveDraft_2.gif \
	lib/config-templates/html/imx/LrlSaveDraft_wo_2.gif \
	lib/config-templates/html/imx/LrlSearchMsg_1.gif \
	lib/config-templates/html/imx/LrlSearchMsg_wo_1.gif \
	lib/config-templates/html/imx/LrlSend_1.gif \
	lib/config-templates/html/imx/LrlSend_wo_1.gif \
	lib/config-templates/html/imx/LrlSmiley_1.gif \
	lib/config-templates/html/imx/LrlSmiley_wo_1.gif \
	lib/config-templates/html/imx/LrlSplChk_1.gif \
	lib/config-templates/html/imx/LrlSplChk_wo_1.gif \
	lib/config-templates/html/imx/LrlSubFldr_1.gif \
	lib/config-templates/html/imx/LrlSubFldrOwner_1.gif \
	lib/config-templates/html/imx/LrlSubscribe_1.gif \
	lib/config-templates/html/imx/LrlSubscribe_wo_1.gif \
	lib/config-templates/html/imx/LrlUnderline_1.gif \
	lib/config-templates/html/imx/LrlUnderline_wo_1.gif \
	lib/config-templates/html/imx/LrlUnrdDelMsg_1.gif \
	lib/config-templates/html/imx/LrlUnrdMsg_1.gif \
	lib/config-templates/html/imx/ltr.gif \
	lib/config-templates/html/imx/Masthead_s1UMC.gif \
	lib/config-templates/html/imx/MesEx_smBan.gif \
	lib/config-templates/html/imx/minus.gif \
	lib/config-templates/html/imx/minusbottom.gif \
	lib/config-templates/html/imx/musicfolder.gif \
	lib/config-templates/html/imx/N16.gif \
	lib/config-templates/html/imx/N16b.gif \
	lib/config-templates/html/imx/N24b.gif \
	lib/config-templates/html/imx/New_Address_16.gif \
	lib/config-templates/html/imx/New_Address_24.gif \
	lib/config-templates/html/imx/New_Folder_16.gif \
	lib/config-templates/html/imx/New_Folder_24.gif \
	lib/config-templates/html/imx/New_Group_16.gif \
	lib/config-templates/html/imx/New_Group_24.gif \
	lib/config-templates/html/imx/New_urgent16.gif \
	lib/config-templates/html/imx/NewGroup24dis.gif \
	lib/config-templates/html/imx/NewUser24dis.gif \
	lib/config-templates/html/imx/next-0.gif \
	lib/config-templates/html/imx/next-1.gif \
	lib/config-templates/html/imx/next.gif \
	lib/config-templates/html/imx/next_btn.gif \
	lib/config-templates/html/imx/next_not.gif \
	lib/config-templates/html/imx/nlist.gif \
	lib/config-templates/html/imx/nodelete.gif \
	lib/config-templates/html/imx/noexpunge.gif \
	lib/config-templates/html/imx/nolines_minus.gif \
	lib/config-templates/html/imx/nolines_plus.gif \
	lib/config-templates/html/imx/not_selected.gif \
	lib/config-templates/html/imx/notselected.gif \
	lib/config-templates/html/imx/noundelete.gif \
	lib/config-templates/html/imx/Open_Folder_24.gif \
	lib/config-templates/html/imx/OpenFolder24.gif \
	lib/config-templates/html/imx/pab-edit.gif \
	lib/config-templates/html/imx/pab-edit_group.gif \
	lib/config-templates/html/imx/pab-entry.gif \
	lib/config-templates/html/imx/pab-entry_16.gif \
	lib/config-templates/html/imx/pab-group.gif \
	lib/config-templates/html/imx/pab-group_16.gif \
	lib/config-templates/html/imx/pab-new_entry.gif \
	lib/config-templates/html/imx/pab-new_group.gif \
	lib/config-templates/html/imx/pab-pull.gif \
	lib/config-templates/html/imx/pab_addall.gif \
	lib/config-templates/html/imx/pab_search.gif \
	lib/config-templates/html/imx/page.gif \
	lib/config-templates/html/imx/parea.gif \
	lib/config-templates/html/imx/paste.gif \
	lib/config-templates/html/imx/Paste16.gif \
	lib/config-templates/html/imx/Paste24.gif \
	lib/config-templates/html/imx/Permissions_folder.gif \
	lib/config-templates/html/imx/Permissions_Folder_16.gif \
	lib/config-templates/html/imx/Permissions_folder_24.gif \
	lib/config-templates/html/imx/Personal_Folder_16.gif \
	lib/config-templates/html/imx/Personal_Folder_24.gif \
	lib/config-templates/html/imx/Personal_Folder_table.gif \
	lib/config-templates/html/imx/plus.gif \
	lib/config-templates/html/imx/plusbottom.gif \
	lib/config-templates/html/imx/pop.gif \
	lib/config-templates/html/imx/prev-0.gif \
	lib/config-templates/html/imx/prev-1.gif \
	lib/config-templates/html/imx/prev.gif \
	lib/config-templates/html/imx/pull.gif \
	lib/config-templates/html/imx/question.gif \
	lib/config-templates/html/imx/quote.gif \
	lib/config-templates/html/imx/read-0.gif \
	lib/config-templates/html/imx/read-1.gif \
	lib/config-templates/html/imx/read.gif \
	lib/config-templates/html/imx/red_dot.gif \
	lib/config-templates/html/imx/red_dot2.gif \
	lib/config-templates/html/imx/red_gr_stripe.gif \
	lib/config-templates/html/imx/red_rollover_bannerdot.gif \
	lib/config-templates/html/imx/RedGrey_blank.gif \
	lib/config-templates/html/imx/reply.gif \
	lib/config-templates/html/imx/Reply_24.gif \
	lib/config-templates/html/imx/reply_all.gif \
	lib/config-templates/html/imx/Reply_all_24.gif \
	lib/config-templates/html/imx/right_strip.gif \
	lib/config-templates/html/imx/right_strip_consumer_1.gif \
	lib/config-templates/html/imx/rtl.gif \
	lib/config-templates/html/imx/s1me_title.gif \
	lib/config-templates/html/imx/S1WM.gif \
	lib/config-templates/html/imx/s_all.gif \
	lib/config-templates/html/imx/sad.gif \
	lib/config-templates/html/imx/Save_Draft_24.gif \
	lib/config-templates/html/imx/SaveDraft16.gif \
	lib/config-templates/html/imx/SaveDraft24.gif \
	lib/config-templates/html/imx/search.gif \
	lib/config-templates/html/imx/search24.gif \
	lib/config-templates/html/imx/selected_submenu.gif \
	lib/config-templates/html/imx/send.gif \
	lib/config-templates/html/imx/Send_16.gif \
	lib/config-templates/html/imx/Send_24.gif \
	lib/config-templates/html/imx/Separator_dark_plus10_centered.gif \
	lib/config-templates/html/imx/Separator_dark_plus10_left.gif \
	lib/config-templates/html/imx/Separator_dark_plus10_right.gif \
	lib/config-templates/html/imx/Separator_dark_plus8_centered.gif \
	lib/config-templates/html/imx/Separator_dark_plus8_left.gif \
	lib/config-templates/html/imx/Separator_dark_plus8_right.gif \
	lib/config-templates/html/imx/Shared_Folder.gif \
	lib/config-templates/html/imx/Shared_Folder_16.gif \
	lib/config-templates/html/imx/Shared_Folder_24.gif \
	lib/config-templates/html/imx/Shared_Folder_table.gif \
	lib/config-templates/html/imx/Signed16.gif \
	lib/config-templates/html/imx/Signed_16.gif \
	lib/config-templates/html/imx/sjs_banner.gif \
	lib/config-templates/html/imx/sjs_stitle.gif \
	lib/config-templates/html/imx/sjs_title.gif \
	lib/config-templates/html/imx/sleep.gif \
	lib/config-templates/html/imx/smile.gif \
	lib/config-templates/html/imx/Smiley_16.gif \
	lib/config-templates/html/imx/sort_arrow_ascending.gif \
	lib/config-templates/html/imx/sort_dn.gif \
	lib/config-templates/html/imx/sort_dn_nonsel_check.gif \
	lib/config-templates/html/imx/sort_dn_sel.gif \
	lib/config-templates/html/imx/sort_down_nonsel.gif \
	lib/config-templates/html/imx/sort_down_nonsel_check.gif \
	lib/config-templates/html/imx/sort_down_sel.gif \
	lib/config-templates/html/imx/sort_down_sel_check.gif \
	lib/config-templates/html/imx/sort_up.gif \
	lib/config-templates/html/imx/sort_up_nonsel.gif \
	lib/config-templates/html/imx/sort_up_nonsel_check.gif \
	lib/config-templates/html/imx/sort_up_sel.gif \
	lib/config-templates/html/imx/sort_up_sel_check.gif \
	lib/config-templates/html/imx/spacer.gif \
	lib/config-templates/html/imx/spell.gif \
	lib/config-templates/html/imx/SpellCheck16.gif \
	lib/config-templates/html/imx/SpellCheck24.gif \
	lib/config-templates/html/imx/Stat_NDeleted.gif \
	lib/config-templates/html/imx/Stat_NDeleted_16.gif \
	lib/config-templates/html/imx/Stat_NMail.gif \
	lib/config-templates/html/imx/Stat_NMail_16.gif \
	lib/config-templates/html/imx/Stat_Read_Ans_Del.gif \
	lib/config-templates/html/imx/Stat_Read_Ans_Del_16.gif \
	lib/config-templates/html/imx/Stat_Read_Answered.gif \
	lib/config-templates/html/imx/Stat_Read_Answered_16.gif \
	lib/config-templates/html/imx/Stat_Read_Deleted.gif \
	lib/config-templates/html/imx/Stat_Read_Deleted_16.gif \
	lib/config-templates/html/imx/Stat_Read_Mail.gif \
	lib/config-templates/html/imx/Stat_Read_Mail_16.gif \
	lib/config-templates/html/imx/Subscribe.gif \
	lib/config-templates/html/imx/Subscribe16.gif \
	lib/config-templates/html/imx/Subscribe_16.gif \
	lib/config-templates/html/imx/Subscribe_24.gif \
	lib/config-templates/html/imx/Switch_Editors.gif \
	lib/config-templates/html/imx/Switch_Editors_16.gif \
	lib/config-templates/html/imx/Switch_Editors_24.gif \
	lib/config-templates/html/imx/SwitchEditors16.gif \
	lib/config-templates/html/imx/tpaint.gif \
	lib/config-templates/html/imx/trash.gif \
	lib/config-templates/html/imx/Tree_Folder_16.gif \
	lib/config-templates/html/imx/TreeFolder16.gif \
	lib/config-templates/html/imx/uncheck_all.gif \
	lib/config-templates/html/imx/undelete.gif \
	lib/config-templates/html/imx/Undelete24dis.gif \
	lib/config-templates/html/imx/Undelete_24.gif \
	lib/config-templates/html/imx/under.gif \
	lib/config-templates/html/imx/Underline16.gif \
	lib/config-templates/html/imx/Underline24.gif \
	lib/config-templates/html/imx/unsubscribe.gif \
	lib/config-templates/html/imx/Unsubscribe16.gif \
	lib/config-templates/html/imx/Unsubscribe24dis.gif \
	lib/config-templates/html/imx/Unsubscribe_16.gif \
	lib/config-templates/html/imx/unsubscribe_24.gif \
	lib/config-templates/html/imx/Unsubscribedis.gif \
	lib/config-templates/html/imx/up.gif \
	lib/config-templates/html/imx/Up16.gif \
	lib/config-templates/html/imx/Up24.gif \
	lib/config-templates/html/imx/Up24dis.gif \
	lib/config-templates/html/imx/Update_Address_16.gif \
	lib/config-templates/html/imx/Update_Address_24.gif \
	lib/config-templates/html/imx/Update_Folder.gif \
	lib/config-templates/html/imx/Update_Folder_24.gif \
	lib/config-templates/html/imx/Update_Group_16.gif \
	lib/config-templates/html/imx/Update_Group_24.gif \
	lib/config-templates/html/imx/UpdateAddreses16.gif \
	lib/config-templates/html/imx/UpdateAddresses24.gif \
	lib/config-templates/html/imx/upperLeft_onWhite.gif \
	lib/config-templates/html/imx/upperRight_onWhite.gif \
	lib/config-templates/html/imx/warning_16_sunplex.gif \
	lib/config-templates/html/imx/warning_32_sunplex.gif \
	lib/config-templates/html/imx/WebMail_splash.gif \
	lib/config-templates/html/imx/white_bannerdot.gif \
	lib/config-templates/html/imx/white_bar.gif \
	lib/config-templates/html/imx/white_dot.gif \
	lib/config-templates/html/imx/winkwink.gif \
	lib/config-templates/html/imx/wlink.gif \
	lib/config-templates/html/imx/folder-closed.png \
	lib/config-templates/html/imx/folder-Drafts.png \
	lib/config-templates/html/imx/folder-inbox-new.png \
	lib/config-templates/html/imx/folder-INBOX.png \
	lib/config-templates/html/imx/folder-junk.png \
	lib/config-templates/html/imx/folder-new-closed.png \
	lib/config-templates/html/imx/folder-new-open.png \
	lib/config-templates/html/imx/folder-newsgroup.png \
	lib/config-templates/html/imx/folder-open.png \
	lib/config-templates/html/imx/folder-outbox.png \
	lib/config-templates/html/imx/folder-Sent.png \
	lib/config-templates/html/imx/folder-template.png \
	lib/config-templates/html/imx/folder-Trash.png \
	lib/config-templates/html/imx/icon.png \
	lib/config-templates/html/imx/manage.png \
	\
	lib/config-templates/html/en/help/images/check_all15.gif \
	lib/config-templates/html/en/help/images/LrlAddAddress_wo_1.gif \
	lib/config-templates/html/en/help/images/LrlAddAddress_wo_114.gif \
	lib/config-templates/html/en/help/images/LrlColExtMail_wo_19.gif \
	lib/config-templates/html/en/help/images/LrlGetMail_wo_18.gif \
	lib/config-templates/html/en/help/images/LrlNewFldr_wo_111.gif \
	lib/config-templates/html/en/help/images/LrlNewMsg_wo_17.gif \
	lib/config-templates/html/en/help/images/LrlRdAnsDelMsg_15.gif \
	lib/config-templates/html/en/help/images/LrlRdDelMsg_14.gif \
	lib/config-templates/html/en/help/images/LrlRdMsg_16.gif \
	lib/config-templates/html/en/help/images/LrlRefresh_wo_113.gif \
	lib/config-templates/html/en/help/images/LrlSubscribe_wo_112.gif \
	lib/config-templates/html/en/help/images/LrlUnrdMsg_12.gif \
	lib/config-templates/html/en/help/images/toolbaroptions3.gif \
	lib/config-templates/html/en/help/images/uncheck_all16.gif \
	lib/config-templates/html/en/help/images/flagged14.gif \
	\
	lib/config-templates/html/en/help/catalog.css \
	lib/config-templates/html/en/help/collextm.html \
	lib/config-templates/html/en/help/compmsgs.html \
	lib/config-templates/html/en/help/getnewmg.html \
	lib/config-templates/html/en/help/getstart.html \
	lib/config-templates/html/en/help/ix.html \
	lib/config-templates/html/en/help/manfoldr.html \
	lib/config-templates/html/en/help/manmesge.html \
	lib/config-templates/html/en/help/pvtshared.html \
	lib/config-templates/html/en/help/sharfldr.html \
	lib/config-templates/html/en/help/spellchk.html \
	lib/config-templates/html/en/help/srchadres.html \
	lib/config-templates/html/en/help/srchmsgs.html \
	lib/config-templates/html/en/help/srchunam.html \
	lib/config-templates/html/en/help/subscribe.html \
	lib/config-templates/html/en/help/Help.gif \
	lib/config-templates/html/en/help/topics.html \
	lib/config-templates/html/en/help/wkwithmg.html \
	lib/config-templates/html/en/help/atchfile.html \
	lib/config-templates/html/en/help/ackmesgs.html \
	lib/config-templates/html/en/help/sunlogo.gif \
	lib/config-templates/html/en/help/smimeinfo.html \
	\
	lib/config-templates/html/en/i18n.js \
	lib/config-templates/html/en/i18nSMIME.js \
	lib/config-templates/html/en/compRecipient_fs.html \
	lib/config-templates/html/en/default.html \
	lib/config-templates/html/en/editPabEntry_fs.html \
	lib/config-templates/html/en/editPabGroup_fs.html \
	lib/config-templates/html/en/lookup_fs.html \
	lib/config-templates/html/en/mail.html \
	lib/config-templates/html/en/pab_fs.html \
	lib/config-templates/html/en/searchMessage.html \
	lib/config-templates/html/en/searchusers_fs.html \
	lib/config-templates/html/en/version.html \
	lib/config-templates/html/en/help.htm \
	lib/config-templates/html/en/help2.htm \
	lib/config-templates/html/en/helpix.htm \
	\
	lib/config-templates/html/en/images/webmail.gif \
	\
	lib/config-templates/html/bcprov-jdk14-122.jar \
	lib/config-templates/html/SMIMEApplet.jar \
	lib/config-templates/html/token-win32.jar \
	\
        ";
        
$config_configlist="config/job_controller.cnf \
	config/aliases \
	config/mappings.locale \
	config/maximum.dat \
	config/maximum_command.dat \
	config/maximum_charset.dat \
	config/charnames.txt \
	config/advanced/option_charset.dat \
	config/charsubs.txt \
	config/charsets.txt \
	config/charsets_ps.txt \
	config/advanced/name_content.dat \
	config/countries.txt \
	config/languages.txt \
	config/magic.dat \
	config/ksx1001.txt \
	config/jis0208.txt \
	config/jis0212.txt \
	config/gb2312.txt \
	config/big5.txt \
	config/cns11643.txt \
	config/internet.rules \
	\
	config/locale/C/disposition_deleted.txt \
	config/locale/C/disposition_denied.txt \
	config/locale/C/disposition_dispatched.txt \
	config/locale/C/disposition_displayed.txt \
	config/locale/C/disposition_failed.txt \
	config/locale/C/disposition_prefix.txt \
	config/locale/C/disposition_processed.txt \
	config/locale/C/disposition_suffix.txt \
	config/locale/C/return_bounced.txt \
	config/locale/C/return_capture.txt \
	config/locale/C/return_deferred.txt \
	config/locale/C/return_delayed.txt \
	config/locale/C/return_delivered.txt \
	config/locale/C/return_error.txt \
	config/locale/C/return_failed.txt \
	config/locale/C/return_forwarded.txt \
	config/locale/C/return_prefix.txt \
	config/locale/C/return_suffix.txt \
	config/locale/C/return_timedout.txt \
	     \
	config/locale/de/disposition_deleted.txt \
	config/locale/de/disposition_denied.txt \
	config/locale/de/disposition_dispatched.txt \
	config/locale/de/disposition_displayed.txt \
	config/locale/de/disposition_failed.txt \
	config/locale/de/disposition_prefix.txt \
	config/locale/de/disposition_processed.txt \
	config/locale/de/disposition_suffix.txt \
	config/locale/de/return_bounced.txt \
	config/locale/de/return_capture.txt \
	config/locale/de/return_deferred.txt \
	config/locale/de/return_delayed.txt \
	config/locale/de/return_delivered.txt \
	config/locale/de/return_error.txt \
	config/locale/de/return_failed.txt \
	config/locale/de/return_forwarded.txt \
	config/locale/de/return_option.opt \
	config/locale/de/return_prefix.txt \
	config/locale/de/return_suffix.txt \
	config/locale/de/return_timedout.txt \
	     \
	config/locale/es/disposition_deleted.txt \
	config/locale/es/disposition_denied.txt \
	config/locale/es/disposition_dispatched.txt \
	config/locale/es/disposition_displayed.txt \
	config/locale/es/disposition_failed.txt \
	config/locale/es/disposition_prefix.txt \
	config/locale/es/disposition_processed.txt \
	config/locale/es/disposition_suffix.txt \
	config/locale/es/return_bounced.txt \
	config/locale/es/return_capture.txt \
	config/locale/es/return_deferred.txt \
	config/locale/es/return_delayed.txt \
	config/locale/es/return_delivered.txt \
	config/locale/es/return_error.txt \
	config/locale/es/return_failed.txt \
	config/locale/es/return_forwarded.txt \
	config/locale/es/return_option.opt \
	config/locale/es/return_prefix.txt \
	config/locale/es/return_suffix.txt \
	config/locale/es/return_timedout.txt \
	     \
	config/locale/fr/disposition_deleted.txt \
	config/locale/fr/disposition_denied.txt \
	config/locale/fr/disposition_dispatched.txt \
	config/locale/fr/disposition_displayed.txt \
	config/locale/fr/disposition_failed.txt \
	config/locale/fr/disposition_prefix.txt \
	config/locale/fr/disposition_processed.txt \
	config/locale/fr/disposition_suffix.txt \
	config/locale/fr/return_bounced.txt \
	config/locale/fr/return_capture.txt \
	config/locale/fr/return_deferred.txt \
	config/locale/fr/return_delayed.txt \
	config/locale/fr/return_delivered.txt \
	config/locale/fr/return_error.txt \
	config/locale/fr/return_failed.txt \
	config/locale/fr/return_forwarded.txt \
	config/locale/fr/return_option.opt \
	config/locale/fr/return_prefix.txt \
	config/locale/fr/return_suffix.txt \
	config/locale/fr/return_timedout.txt \
	     \
	config/locale/ja/disposition_deleted.txt \
	config/locale/ja/disposition_denied.txt \
	config/locale/ja/disposition_dispatched.txt \
	config/locale/ja/disposition_displayed.txt \
	config/locale/ja/disposition_failed.txt \
	config/locale/ja/disposition_prefix.txt \
	config/locale/ja/disposition_processed.txt \
	config/locale/ja/disposition_suffix.txt \
	config/locale/ja/return_bounced.txt \
	config/locale/ja/return_capture.txt \
	config/locale/ja/return_deferred.txt \
	config/locale/ja/return_delayed.txt \
	config/locale/ja/return_delivered.txt \
	config/locale/ja/return_error.txt \
	config/locale/ja/return_failed.txt \
	config/locale/ja/return_forwarded.txt \
	config/locale/ja/return_option.opt \
	config/locale/ja/return_prefix.txt \
	config/locale/ja/return_suffix.txt \
	config/locale/ja/return_timedout.txt \
	     \
	config/locale/zh/disposition_deleted.txt \
	config/locale/zh/disposition_denied.txt \
	config/locale/zh/disposition_dispatched.txt \
	config/locale/zh/disposition_displayed.txt \
	config/locale/zh/disposition_failed.txt \
	config/locale/zh/disposition_prefix.txt \
	config/locale/zh/disposition_processed.txt \
	config/locale/zh/disposition_suffix.txt \
	config/locale/zh/return_bounced.txt \
	config/locale/zh/return_capture.txt \
	config/locale/zh/return_deferred.txt \
	config/locale/zh/return_delayed.txt \
	config/locale/zh/return_delivered.txt \
	config/locale/zh/return_error.txt \
	config/locale/zh/return_failed.txt \
	config/locale/zh/return_forwarded.txt \
	config/locale/zh/return_option.opt \
	config/locale/zh/return_prefix.txt \
	config/locale/zh/return_suffix.txt \
	config/locale/zh/return_timedout.txt \
	     \
	config/locale/zh_TW/disposition_deleted.txt \
	config/locale/zh_TW/disposition_denied.txt \
	config/locale/zh_TW/disposition_dispatched.txt \
	config/locale/zh_TW/disposition_displayed.txt \
	config/locale/zh_TW/disposition_failed.txt \
	config/locale/zh_TW/disposition_prefix.txt \
	config/locale/zh_TW/disposition_processed.txt \
	config/locale/zh_TW/disposition_suffix.txt \
	config/locale/zh_TW/return_bounced.txt \
	config/locale/zh_TW/return_capture.txt \
	config/locale/zh_TW/return_deferred.txt \
	config/locale/zh_TW/return_delayed.txt \
	config/locale/zh_TW/return_delivered.txt \
	config/locale/zh_TW/return_error.txt \
	config/locale/zh_TW/return_failed.txt \
	config/locale/zh_TW/return_forwarded.txt \
	config/locale/zh_TW/return_option.opt \
	config/locale/zh_TW/return_prefix.txt \
	config/locale/zh_TW/return_suffix.txt \
	config/locale/zh_TW/return_timedout.txt \
	     \
	config/locale/pl/return_bounced.txt \
	config/locale/pl/return_deferred.txt \
	config/locale/pl/return_delayed.txt \
	config/locale/pl/return_delivered.txt \
	config/locale/pl/return_failed.txt \
	config/locale/pl/return_forwarded.txt \
	config/locale/pl/return_prefix.txt \
	config/locale/pl/return_suffix.txt \
	config/locale/pl/return_timedout.txt \
	     \
	config/locale/ko/disposition_deleted.txt \
	config/locale/ko/disposition_denied.txt \
	config/locale/ko/disposition_dispatched.txt \
	config/locale/ko/disposition_displayed.txt \
	config/locale/ko/disposition_failed.txt \
	config/locale/ko/disposition_prefix.txt \
	config/locale/ko/disposition_processed.txt \
	config/locale/ko/disposition_suffix.txt \
	config/locale/ko/return_bounced.txt \
	config/locale/ko/return_capture.txt \
	config/locale/ko/return_deferred.txt \
	config/locale/ko/return_delayed.txt \
	config/locale/ko/return_delivered.txt \
	config/locale/ko/return_error.txt \
	config/locale/ko/return_failed.txt \
	config/locale/ko/return_forwarded.txt \
	config/locale/ko/return_option.opt \
	config/locale/ko/return_prefix.txt \
	config/locale/ko/return_suffix.txt \
	config/locale/ko/return_timedout.txt \
	lib/config-templates/sslpassword.conf \
	\
	config/imta.cnf \
	config/option.dat \
	config/mappings \
	config/dispatcher.cnf \
	config/msg.conf \
	\
	config/return_header.opt \
	\
	config/html/catalog.css \
	config/html/mail_css_ie5win.css \
	config/html/mail_css_ns6up.css \
	config/html/master-style.css \
	config/html/master-style_ie5up.css \
	config/html/master-style_ns4sol.css \
	config/html/master-style_ns4win.css \
	config/html/master-style_ns6up.css \
	config/html/browser.js \
	config/html/dtree.js \
	config/html/dtree.css \
	config/html/compRecipient.js \
	config/html/editPabEntry.js \
	config/html/editPabGroup.js \
	config/html/form.js \
	config/html/lookup.js \
	config/html/mailui.js \
	config/html/main.js \
	config/html/pab.js \
	config/html/searchusers.js \
	config/html/setdomain.js \
	config/html/smimeapplet.js \
	config/html/util.js \
	config/html/applet_fs.html \
	config/html/applet_fs_linx86_lr.html \
	config/html/applet_fs_mac_lr.html \
	config/html/applet_fs_sunsparc_lr.html \
	config/html/applet_fs_sunx86_lr.html \
	config/html/applet_fs_win_lr.html \
	config/html/attach_fs.html \
	config/html/attach_fs_lr.html \
	config/html/collect_fs.html \
	config/html/collect_fs_lr.html \
	config/html/colors.html \
	config/html/comp_fs.html \
	config/html/comp_fs_lr.html \
	config/html/emoticons.html \
	config/html/fldr_fs.html \
	config/html/fldr_fs_lr.html \
	config/html/frame.html \
	config/html/history.html \
	config/html/ldap_fs.html \
	config/html/mbox_fs.html \
	config/html/mbox_fs_lr.html \
	config/html/msg_fs.html \
	config/html/msg_fs_lr.html \
	config/html/opts_fs.html \
	config/html/popup.html \
	config/html/receipt_fs.html \
	config/html/receipt_fs_lr.html \
	config/html/rtfeditor.html \
	config/html/sample.html \
	config/html/searchMsg_lr.html \
	config/html/searchmsg_fs.html \
	config/html/searchmsg_fs_lr.html \
	config/html/select_color.html \
	config/html/setpermission_fs.html \
	config/html/setpermission_fs_lr.html \
	config/html/spell.html \
	config/html/spellSend.html \
	config/html/spell_lr.html \
	config/html/srchresults_fs.html \
	config/html/srchresults_fs_lr.html \
	config/html/subscribe_fs.html \
	config/html/subscribe_fs_lr.html \
	config/html/favicon.ico \
	config/smime.conf \
	\
	config/html/imx/banner_clouds.jpg \
	config/html/imx/folder-closed.jpg \
	config/html/imx/folder-Drafts.jpg \
	config/html/imx/folder-INBOX.jpg \
	config/html/imx/folder-open.jpg \
	config/html/imx/folder-Sent.jpg \
	config/html/imx/folder-Trash.jpg \
	config/html/imx/image_banner.jpg \
	config/html/imx/iplanet.jpg \
	config/html/imx/login.jpg \
	config/html/imx/masthead.jpg \
	config/html/imx/SunONE.jpg \
	config/html/imx/1.gif \
	config/html/imx/2.gif \
	config/html/imx/3.gif \
	config/html/imx/4.gif \
	config/html/imx/6.gif \
	config/html/imx/9.gif \
	config/html/imx/a.gif \
	config/html/imx/Add_All_Addresses.gif \
	config/html/imx/Add_All_Addresses_16.gif \
	config/html/imx/AddLink16.gif \
	config/html/imx/AddLink24.gif \
	config/html/imx/address.gif \
	config/html/imx/aleft.gif \
	config/html/imx/AlignCenter16.gif \
	config/html/imx/AlignCenter24.gif \
	config/html/imx/AlignLeft16.gif \
	config/html/imx/AlignLeft24.gif \
	config/html/imx/AlignRight16.gif \
	config/html/imx/AlignRight24.gif \
	config/html/imx/all-0.gif \
	config/html/imx/all-1.gif \
	config/html/imx/angel.gif \
	config/html/imx/angry.gif \
	config/html/imx/aright.gif \
	config/html/imx/ascending.gif \
	config/html/imx/attach.gif \
	config/html/imx/attach_comp.gif \
	config/html/imx/attachment_16.gif \
	config/html/imx/Attachment_24.gif \
	config/html/imx/audio.gif \
	config/html/imx/back.gif \
	config/html/imx/Back16.gif \
	config/html/imx/Back16dis.gif \
	config/html/imx/Back24.gif \
	config/html/imx/back_btn.gif \
	config/html/imx/back_not.gif \
	config/html/imx/Banner.gif \
	config/html/imx/base.gif \
	config/html/imx/blist.gif \
	config/html/imx/bold.gif \
	config/html/imx/Bold16.gif \
	config/html/imx/Bold24.gif \
	config/html/imx/cancel.gif \
	config/html/imx/Cancel_24.gif \
	config/html/imx/cd.gif \
	config/html/imx/center.gif \
	config/html/imx/center_strip.gif \
	config/html/imx/center_strip_consumer_1.gif \
	config/html/imx/check_all.gif \
	config/html/imx/compose.gif \
	config/html/imx/Compose_Mail_16.gif \
	config/html/imx/Compose_Mail_24.gif \
	config/html/imx/copy.gif \
	config/html/imx/Copy16.gif \
	config/html/imx/Copy24.gif \
	config/html/imx/cut.gif \
	config/html/imx/Cut16.gif \
	config/html/imx/Cut24.gif \
	config/html/imx/d.gif \
	config/html/imx/decending.gif \
	config/html/imx/del.gif \
	config/html/imx/delete-round.gif \
	config/html/imx/delete.gif \
	config/html/imx/Delete16.gif \
	config/html/imx/Delete24.gif \
	config/html/imx/Delete24dis.gif \
	config/html/imx/Delete_16.gif \
	config/html/imx/Delete_24.gif \
	config/html/imx/deleteuser.gif \
	config/html/imx/descending.gif \
	config/html/imx/devil.gif \
	config/html/imx/divider.gif \
	config/html/imx/dividerbar.gif \
	config/html/imx/Down16.gif \
	config/html/imx/Down24.gif \
	config/html/imx/Down24dis.gif \
	config/html/imx/draft-h.gif \
	config/html/imx/draft.gif \
	config/html/imx/Draft_mail_16.gif \
	config/html/imx/Draft_Mail_24.gif \
	config/html/imx/Edit_Address_16.gif \
	config/html/imx/Edit_address_24.gif \
	config/html/imx/Edit_Folder_16.gif \
	config/html/imx/Edit_Folder_24.gif \
	config/html/imx/Edit_mail_16.gif \
	config/html/imx/Edit_Mail_24.gif \
	config/html/imx/EditBook_24.gif \
	config/html/imx/empty.gif \
	config/html/imx/Encrypted16.gif \
	config/html/imx/Encrypted_16.gif \
	config/html/imx/error_16_sunplex.gif \
	config/html/imx/error_32_sunplex.gif \
	config/html/imx/Error_Large.gif \
	config/html/imx/Export.gif \
	config/html/imx/expunge.gif \
	config/html/imx/Expunge16.gif \
	config/html/imx/Expunge24.gif \
	config/html/imx/expunge_16.gif \
	config/html/imx/Expunge_24.gif \
	config/html/imx/f.gif \
	config/html/imx/fax.gif \
	config/html/imx/Fax16.gif \
	config/html/imx/Fax24.gif \
	config/html/imx/Fax_16.gif \
	config/html/imx/Fax_24.gif \
	config/html/imx/Find_Address_16.gif \
	config/html/imx/Find_address_24.gif \
	config/html/imx/flagged.gif \
	config/html/imx/fldr_edit.gif \
	config/html/imx/fldr_new.gif \
	config/html/imx/folder-0.gif \
	config/html/imx/folder-1.gif \
	config/html/imx/folder.gif \
	config/html/imx/folder_16.gif \
	config/html/imx/folder_24.gif \
	config/html/imx/folderopen.gif \
	config/html/imx/forward.gif \
	config/html/imx/Forward16.gif \
	config/html/imx/Forward16dis.gif \
	config/html/imx/Forward24.gif \
	config/html/imx/Forward_24.gif \
	config/html/imx/globe.gif \
	config/html/imx/gray70.gif \
	config/html/imx/gray80.gif \
	config/html/imx/gray90.gif \
	config/html/imx/grey_dot.gif \
	config/html/imx/grin.gif \
	config/html/imx/help.gif \
	config/html/imx/help_16_sunplex.gif \
	config/html/imx/help_32_sunplex.gif \
	config/html/imx/helpa.gif \
	config/html/imx/high-0.gif \
	config/html/imx/ileft.gif \
	config/html/imx/img_address_msg.gif \
	config/html/imx/img_attach.gif \
	config/html/imx/img_cancel.gif \
	config/html/imx/img_closed_folder.gif \
	config/html/imx/img_compose.gif \
	config/html/imx/img_delete.gif \
	config/html/imx/img_expunge.gif \
	config/html/imx/img_forward.gif \
	config/html/imx/img_get_mail.gif \
	config/html/imx/img_help.gif \
	config/html/imx/img_msg_read.gif \
	config/html/imx/img_msg_unread.gif \
	config/html/imx/img_new_folder.gif \
	config/html/imx/img_open_folder.gif \
	config/html/imx/img_printer.gif \
	config/html/imx/img_rename_folder.gif \
	config/html/imx/img_reply.gif \
	config/html/imx/img_reply_all.gif \
	config/html/imx/img_save_draft.gif \
	config/html/imx/img_type_header.gif \
	config/html/imx/img_undelete.gif \
	config/html/imx/img_update.gif \
	config/html/imx/imgfolder.gif \
	config/html/imx/Import.gif \
	config/html/imx/Inbox_16.gif \
	config/html/imx/Inbox_24.gif \
	config/html/imx/info_16_sunplex.gif \
	config/html/imx/info_32_sunplex.gif \
	config/html/imx/invalid_encryption.gif \
	config/html/imx/invalid_signature.gif \
	config/html/imx/iplanet.gif \
	config/html/imx/iplanet_logo.gif \
	config/html/imx/iplanetBanner.gif \
	config/html/imx/iright.gif \
	config/html/imx/italic.gif \
	config/html/imx/Italic16.gif \
	config/html/imx/Italic24.gif \
	config/html/imx/join.gif \
	config/html/imx/joinbottom.gif \
	config/html/imx/k.gif \
	config/html/imx/laugh.gif \
	config/html/imx/left_arrow.gif \
	config/html/imx/left_strip.gif \
	config/html/imx/left_strip_consumer_1.gif \
	config/html/imx/LgSortArrowsDown.gif \
	config/html/imx/LgSortArrowsUp.gif \
	config/html/imx/line.gif \
	config/html/imx/lock.gif \
	config/html/imx/login-logo.gif \
	config/html/imx/logo_sun.gif \
	config/html/imx/logout.gif \
	config/html/imx/love.gif \
	config/html/imx/low.gif \
	config/html/imx/lowerLeft_onWhite.gif \
	config/html/imx/lowerRight_onWhite.gif \
	config/html/imx/LrlAddAddress_wo_1.gif \
	config/html/imx/LrlAddLnk_1.gif \
	config/html/imx/LrlAddLnk_wo_1.gif \
	config/html/imx/LrlAttchmnt_1.gif \
	config/html/imx/LrlAttchmnt_16.gif \
	config/html/imx/LrlAttendStat_4.gif \
	config/html/imx/LrlBold_1.gif \
	config/html/imx/LrlBold_wo_1.gif \
	config/html/imx/LrlBulletLst_1.gif \
	config/html/imx/LrlBulletLst_wo_1.gif \
	config/html/imx/LrlCentered_1.gif \
	config/html/imx/LrlCentered_wo_1.gif \
	config/html/imx/LrlColExtMail_1.gif \
	config/html/imx/LrlColExtMail_wo_1.gif \
	config/html/imx/LrlColorHghlt_1.gif \
	config/html/imx/LrlColorHghlt_wo_1.gif \
	config/html/imx/LrlColorTxt_1.gif \
	config/html/imx/LrlColorTxt_wo_1.gif \
	config/html/imx/LrlCopy_1.gif \
	config/html/imx/LrlCopy_wo_1.gif \
	config/html/imx/LrlCut_1.gif \
	config/html/imx/LrlCut_wo_1.gif \
	config/html/imx/LrlEditMsg_1.gif \
	config/html/imx/LrlEditMsg_wo_1.gif \
	config/html/imx/LrlFldr_1.gif \
	config/html/imx/LrlFlushLeft_1.gif \
	config/html/imx/LrlFlushLeft_wo_1.gif \
	config/html/imx/LrlFlushRight_1.gif \
	config/html/imx/LrlFlushRight_wo_1.gif \
	config/html/imx/LrlGetMail_1.gif \
	config/html/imx/LrlGetMail_wo_1.gif \
	config/html/imx/LrlIndent_1.gif \
	config/html/imx/LrlIndent_wo_1.gif \
	config/html/imx/LrlItalic_1.gif \
	config/html/imx/LrlItalic_wo_1.gif \
	config/html/imx/LrlLink_1.gif \
	config/html/imx/LrlLink_wo_1.gif \
	config/html/imx/LrlNewFldr_1.gif \
	config/html/imx/LrlNewFldr_wo_1.gif \
	config/html/imx/LrlNewMsg_1.gif \
	config/html/imx/LrlNewMsg_wo_1.gif \
	config/html/imx/LrlNumLst_1.gif \
	config/html/imx/LrlNumLst_wo_1.gif \
	config/html/imx/LrlOutdent_1.gif \
	config/html/imx/LrlOutdent_wo_1.gif \
	config/html/imx/LrlPaste_1.gif \
	config/html/imx/LrlPaste_wo_1.gif \
	config/html/imx/LrlPersonalFldr_1.gif \
	config/html/imx/LrlPrintable_1.gif \
	config/html/imx/LrlPrintable_wo_1.gif \
	config/html/imx/LrlPriority_1.gif \
	config/html/imx/LrlRdAnsDelMsg_1.gif \
	config/html/imx/LrlRdAnsMsg_1.gif \
	config/html/imx/LrlRdDelMsg_1.gif \
	config/html/imx/LrlRdMsg_1.gif \
	config/html/imx/LrlRefresh_1.gif \
	config/html/imx/LrlRefresh_wo_1.gif \
	config/html/imx/LrlSaveDraft_2.gif \
	config/html/imx/LrlSaveDraft_wo_2.gif \
	config/html/imx/LrlSearchMsg_1.gif \
	config/html/imx/LrlSearchMsg_wo_1.gif \
	config/html/imx/LrlSend_1.gif \
	config/html/imx/LrlSend_wo_1.gif \
	config/html/imx/LrlSmiley_1.gif \
	config/html/imx/LrlSmiley_wo_1.gif \
	config/html/imx/LrlSplChk_1.gif \
	config/html/imx/LrlSplChk_wo_1.gif \
	config/html/imx/LrlSubFldr_1.gif \
	config/html/imx/LrlSubFldrOwner_1.gif \
	config/html/imx/LrlSubscribe_1.gif \
	config/html/imx/LrlSubscribe_wo_1.gif \
	config/html/imx/LrlUnderline_1.gif \
	config/html/imx/LrlUnderline_wo_1.gif \
	config/html/imx/LrlUnrdDelMsg_1.gif \
	config/html/imx/LrlUnrdMsg_1.gif \
	config/html/imx/ltr.gif \
	config/html/imx/Masthead_s1UMC.gif \
	config/html/imx/MesEx_smBan.gif \
	config/html/imx/minus.gif \
	config/html/imx/minusbottom.gif \
	config/html/imx/musicfolder.gif \
	config/html/imx/N16.gif \
	config/html/imx/N16b.gif \
	config/html/imx/N24b.gif \
	config/html/imx/New_Address_16.gif \
	config/html/imx/New_Address_24.gif \
	config/html/imx/New_Folder_16.gif \
	config/html/imx/New_Folder_24.gif \
	config/html/imx/New_Group_16.gif \
	config/html/imx/New_Group_24.gif \
	config/html/imx/New_urgent16.gif \
	config/html/imx/NewGroup24dis.gif \
	config/html/imx/NewUser24dis.gif \
	config/html/imx/next-0.gif \
	config/html/imx/next-1.gif \
	config/html/imx/next.gif \
	config/html/imx/next_btn.gif \
	config/html/imx/next_not.gif \
	config/html/imx/nlist.gif \
	config/html/imx/nodelete.gif \
	config/html/imx/noexpunge.gif \
	config/html/imx/nolines_minus.gif \
	config/html/imx/nolines_plus.gif \
	config/html/imx/not_selected.gif \
	config/html/imx/notselected.gif \
	config/html/imx/noundelete.gif \
	config/html/imx/Open_Folder_24.gif \
	config/html/imx/OpenFolder24.gif \
	config/html/imx/pab-edit.gif \
	config/html/imx/pab-edit_group.gif \
	config/html/imx/pab-entry.gif \
	config/html/imx/pab-entry_16.gif \
	config/html/imx/pab-group.gif \
	config/html/imx/pab-group_16.gif \
	config/html/imx/pab-new_entry.gif \
	config/html/imx/pab-new_group.gif \
	config/html/imx/pab-pull.gif \
	config/html/imx/pab_addall.gif \
	config/html/imx/pab_search.gif \
	config/html/imx/page.gif \
	config/html/imx/parea.gif \
	config/html/imx/paste.gif \
	config/html/imx/Paste16.gif \
	config/html/imx/Paste24.gif \
	config/html/imx/Permissions_folder.gif \
	config/html/imx/Permissions_Folder_16.gif \
	config/html/imx/Permissions_folder_24.gif \
	config/html/imx/Personal_Folder_16.gif \
	config/html/imx/Personal_Folder_24.gif \
	config/html/imx/Personal_Folder_table.gif \
	config/html/imx/plus.gif \
	config/html/imx/plusbottom.gif \
	config/html/imx/pop.gif \
	config/html/imx/prev-0.gif \
	config/html/imx/prev-1.gif \
	config/html/imx/prev.gif \
	config/html/imx/pull.gif \
	config/html/imx/question.gif \
	config/html/imx/quote.gif \
	config/html/imx/read-0.gif \
	config/html/imx/read-1.gif \
	config/html/imx/read.gif \
	config/html/imx/red_dot.gif \
	config/html/imx/red_dot2.gif \
	config/html/imx/red_gr_stripe.gif \
	config/html/imx/red_rollover_bannerdot.gif \
	config/html/imx/RedGrey_blank.gif \
	config/html/imx/reply.gif \
	config/html/imx/Reply_24.gif \
	config/html/imx/reply_all.gif \
	config/html/imx/Reply_all_24.gif \
	config/html/imx/right_strip.gif \
	config/html/imx/right_strip_consumer_1.gif \
	config/html/imx/rtl.gif \
	config/html/imx/s1me_title.gif \
	config/html/imx/S1WM.gif \
	config/html/imx/s_all.gif \
	config/html/imx/sad.gif \
	config/html/imx/Save_Draft_24.gif \
	config/html/imx/SaveDraft16.gif \
	config/html/imx/SaveDraft24.gif \
	config/html/imx/search.gif \
	config/html/imx/search24.gif \
	config/html/imx/selected_submenu.gif \
	config/html/imx/send.gif \
	config/html/imx/Send_16.gif \
	config/html/imx/Send_24.gif \
	config/html/imx/Separator_dark_plus10_centered.gif \
	config/html/imx/Separator_dark_plus10_left.gif \
	config/html/imx/Separator_dark_plus10_right.gif \
	config/html/imx/Separator_dark_plus8_centered.gif \
	config/html/imx/Separator_dark_plus8_left.gif \
	config/html/imx/Separator_dark_plus8_right.gif \
	config/html/imx/Shared_Folder.gif \
	config/html/imx/Shared_Folder_16.gif \
	config/html/imx/Shared_Folder_24.gif \
	config/html/imx/Shared_Folder_table.gif \
	config/html/imx/Signed16.gif \
	config/html/imx/Signed_16.gif \
	config/html/imx/sjs_banner.gif \
	config/html/imx/sjs_stitle.gif \
	config/html/imx/sjs_title.gif \
	config/html/imx/sleep.gif \
	config/html/imx/smile.gif \
	config/html/imx/Smiley_16.gif \
	config/html/imx/sort_arrow_ascending.gif \
	config/html/imx/sort_dn.gif \
	config/html/imx/sort_dn_nonsel_check.gif \
	config/html/imx/sort_dn_sel.gif \
	config/html/imx/sort_down_nonsel.gif \
	config/html/imx/sort_down_nonsel_check.gif \
	config/html/imx/sort_down_sel.gif \
	config/html/imx/sort_down_sel_check.gif \
	config/html/imx/sort_up.gif \
	config/html/imx/sort_up_nonsel.gif \
	config/html/imx/sort_up_nonsel_check.gif \
	config/html/imx/sort_up_sel.gif \
	config/html/imx/sort_up_sel_check.gif \
	config/html/imx/spacer.gif \
	config/html/imx/spell.gif \
	config/html/imx/SpellCheck16.gif \
	config/html/imx/SpellCheck24.gif \
	config/html/imx/Stat_NDeleted.gif \
	config/html/imx/Stat_NDeleted_16.gif \
	config/html/imx/Stat_NMail.gif \
	config/html/imx/Stat_NMail_16.gif \
	config/html/imx/Stat_Read_Ans_Del.gif \
	config/html/imx/Stat_Read_Ans_Del_16.gif \
	config/html/imx/Stat_Read_Answered.gif \
	config/html/imx/Stat_Read_Answered_16.gif \
	config/html/imx/Stat_Read_Deleted.gif \
	config/html/imx/Stat_Read_Deleted_16.gif \
	config/html/imx/Stat_Read_Mail.gif \
	config/html/imx/Stat_Read_Mail_16.gif \
	config/html/imx/Subscribe.gif \
	config/html/imx/Subscribe16.gif \
	config/html/imx/Subscribe_16.gif \
	config/html/imx/Subscribe_24.gif \
	config/html/imx/Switch_Editors.gif \
	config/html/imx/Switch_Editors_16.gif \
	config/html/imx/Switch_Editors_24.gif \
	config/html/imx/SwitchEditors16.gif \
	config/html/imx/tpaint.gif \
	config/html/imx/trash.gif \
	config/html/imx/Tree_Folder_16.gif \
	config/html/imx/TreeFolder16.gif \
	config/html/imx/uncheck_all.gif \
	config/html/imx/undelete.gif \
	config/html/imx/Undelete24dis.gif \
	config/html/imx/Undelete_24.gif \
	config/html/imx/under.gif \
	config/html/imx/Underline16.gif \
	config/html/imx/Underline24.gif \
	config/html/imx/unsubscribe.gif \
	config/html/imx/Unsubscribe16.gif \
	config/html/imx/Unsubscribe24dis.gif \
	config/html/imx/Unsubscribe_16.gif \
	config/html/imx/unsubscribe_24.gif \
	config/html/imx/Unsubscribedis.gif \
	config/html/imx/up.gif \
	config/html/imx/Up16.gif \
	config/html/imx/Up24.gif \
	config/html/imx/Up24dis.gif \
	config/html/imx/Update_Address_16.gif \
	config/html/imx/Update_Address_24.gif \
	config/html/imx/Update_Folder.gif \
	config/html/imx/Update_Folder_24.gif \
	config/html/imx/Update_Group_16.gif \
	config/html/imx/Update_Group_24.gif \
	config/html/imx/UpdateAddreses16.gif \
	config/html/imx/UpdateAddresses24.gif \
	config/html/imx/upperLeft_onWhite.gif \
	config/html/imx/upperRight_onWhite.gif \
	config/html/imx/warning_16_sunplex.gif \
	config/html/imx/warning_32_sunplex.gif \
	config/html/imx/WebMail_splash.gif \
	config/html/imx/white_bannerdot.gif \
	config/html/imx/white_bar.gif \
	config/html/imx/white_dot.gif \
	config/html/imx/winkwink.gif \
	config/html/imx/wlink.gif \
	config/html/imx/folder-closed.png \
	config/html/imx/folder-Drafts.png \
	config/html/imx/folder-inbox-new.png \
	config/html/imx/folder-INBOX.png \
	config/html/imx/folder-junk.png \
	config/html/imx/folder-new-closed.png \
	config/html/imx/folder-new-open.png \
	config/html/imx/folder-newsgroup.png \
	config/html/imx/folder-open.png \
	config/html/imx/folder-outbox.png \
	config/html/imx/folder-Sent.png \
	config/html/imx/folder-template.png \
	config/html/imx/folder-Trash.png \
	config/html/imx/icon.png \
	config/html/imx/manage.png \
	\
	config/html/en/help/images/check_all15.gif \
	config/html/en/help/images/LrlAddAddress_wo_1.gif \
	config/html/en/help/images/LrlAddAddress_wo_114.gif \
	config/html/en/help/images/LrlColExtMail_wo_19.gif \
	config/html/en/help/images/LrlGetMail_wo_18.gif \
	config/html/en/help/images/LrlNewFldr_wo_111.gif \
	config/html/en/help/images/LrlNewMsg_wo_17.gif \
	config/html/en/help/images/LrlRdAnsDelMsg_15.gif \
	config/html/en/help/images/LrlRdDelMsg_14.gif \
	config/html/en/help/images/LrlRdMsg_16.gif \
	config/html/en/help/images/LrlRefresh_wo_113.gif \
	config/html/en/help/images/LrlSubscribe_wo_112.gif \
	config/html/en/help/images/LrlUnrdMsg_12.gif \
	config/html/en/help/images/toolbaroptions3.gif \
	config/html/en/help/images/uncheck_all16.gif \
	config/html/en/help/images/flagged14.gif \
	\
	config/html/en/help/catalog.css \
	config/html/en/help/collextm.html \
	config/html/en/help/compmsgs.html \
	config/html/en/help/getnewmg.html \
	config/html/en/help/getstart.html \
	config/html/en/help/ix.html \
	config/html/en/help/manfoldr.html \
	config/html/en/help/manmesge.html \
	config/html/en/help/pvtshared.html \
	config/html/en/help/sharfldr.html \
	config/html/en/help/spellchk.html \
	config/html/en/help/srchadres.html \
	config/html/en/help/srchmsgs.html \
	config/html/en/help/srchunam.html \
	config/html/en/help/subscribe.html \
	config/html/en/help/Help.gif \
	config/html/en/help/topics.html \
	config/html/en/help/wkwithmg.html \
	config/html/en/help/atchfile.html \
	config/html/en/help/ackmesgs.html \
	config/html/en/help/sunlogo.gif \
	config/html/en/help/smimeinfo.html \
	\
	config/html/en/i18n.js \
	config/html/en/i18nSMIME.js \
	config/html/en/compRecipient_fs.html \
	config/html/en/default.html \
	config/html/en/editPabEntry_fs.html \
	config/html/en/editPabGroup_fs.html \
	config/html/en/lookup_fs.html \
	config/html/en/mail.html \
	config/html/en/pab_fs.html \
	config/html/en/searchMessage.html \
	config/html/en/searchusers_fs.html \
	config/html/en/version.html \
	config/html/en/help.htm \
	config/html/en/help2.htm \
	config/html/en/helpix.htm \
	\
	config/html/en/images/webmail.gif \
	\
	config/html/bcprov-jdk14-122.jar \
	config/html/SMIMEApplet.jar \
	config/html/token-win32.jar \
	\
	";
	
########################################
#
# main program starts here
#
########################################
#
# Do I need to do stop-msg?
# determine server-root
# create patch staging area (for backout and new files to apply)
# determine ifConfigured
# if configured
#   - save webmail files
# endif
#
########################################
use File::Basename;

if (@ARGV != 2) {
	print "Incorrect no: of arguments\n";
	&Usage;
	exit(1);
}

$PATCHDIR = "$ARGV[0]\\install\\patch\\$ARGV[1]";
use File::Path qw(mkpath);
mkpath $PATCHDIR;
$tstamp = &timestamp;
$LOGFILE = "$PATCHDIR\\prepatch_$tstamp.log";
&log_init;
&create_staging_area;
&get_isConfigAccessible;
if ($wasConfigured == 1) {
	&check_prereqs;
}
if ($isConfigAccessible == 1) {
	&check_servers;
}
&save_movedfiles;
&save_config;
&special_hacks;


########################################
#
# Usage
#
########################################
sub Usage
{
print <<USAGE;

Usage:
	prepatch.pl <Server-Root Path> <base patch number>
	
	Server-Root Path : Path where MS is being installed
	patch number : the base patch number (<patchid>-<patchrev>),
        e.g. 116568-05
	
USAGE
}

########################################
#
# Return the timestamp
#
########################################
sub timestamp
{
$t = time;
$now = localtime($t);
($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst) = localtime($t);
$year += 1900;
$mon = $mon + 1;
$_DATE = sprintf ("%d%02d%02d%02d%02d%02d", $year, $mon, $mday, $hour, $min, $sec);
}

########################################
#
# Initialize the LogFile
#
########################################
sub log_init
{
$CUR_DATE = sprintf ("%d-%02d-%02d::%02d %02d %02d", $mday, $mon, $year, $hour, $min, $sec);
open (LOG_OUT, ">>$LOGFILE");
print LOG_OUT "============ LOGFILE started $CUR_DATE ==========\n";
}

########################################
#
# Log a message to the LOGFILE
#
########################################
sub log_only
{
my($message) = @_;
print LOG_OUT "$message\n";
}

########################################
#
# Log a message to the screen and to the LOGFILE
#
########################################
sub log_msg
{
my($message) = @_;
print "$message\n";
print LOG_OUT "$message\n";
}

########################################
#
# create the patch staging area
# - input: PATCHDIR
# - sets the variables: BACKOUTDIR SAVEDIR
#
########################################
sub create_staging_area
{
$BACKOUTDIR = "$PATCHDIR\\backout";
$SAVEDIR = "$PATCHDIR\\save";
use File::Path qw(mkpath);
mkpath $BACKOUTDIR;
mkpath $SAVEDIR;
}

########################################
#
# was configure run? (not necessarily accessible)
#
# - sets the variable wasConfigured to either 0 or 1
# - requires basedir
#
########################################
sub get_wasConfigured
{
if ( -f "$ARGV[0]/sbin/start-msg.bat" ) {
	$wasConfigured = 1;
} else {
	$wasConfigured = 0;
}
&log_only ("-- wasConfigured = $wasConfigured");
}

########################################
#
# Is configuration accessible?
#
# - calls get_wasConfigured, see that subroutine for details
# - sets the variable isConfigAccessible to either 0 or 1
# - requires basedir
#
# checks to see if config/... is accessible
# if -R is passed then consider this system as not having an accessible
#    configuration.
#
########################################
sub get_isConfigAccessible
{
&get_wasConfigured;
if( $wasConfigured == 1) {
	if ( -f "$ARGV[0]/config/imta_tailor" ) {
		$isConfigAccessible=1;
	} else {
      		$isConfigAccessible=0;
	}
} else {
	$isConfigAccessible=0;
}
&log_only ("-- isConfigAccessible = $isConfigAccessible");
}

#########################################
#
# check to make sure servers are stopped
#
#########################################
sub check_servers
{
&log_only ("-- check_servers");
if ( -x "$ARGV[0]/sbin/stop-msg.bat" && -x "$ARGV[0]/lib/configutil.exe" ) {
    log_msg ("-- Stopping Messaging Server...");
    system("$ARGV[0]\\sbin\\stop-msg.bat");
    $stat=$?;
    &log_only ("-- stop-msg returned $stat");
}
}

#########################################
#
# special prerequisites 
# need to have lib/config-templates/Devsetup.properties file
#
#########################################
sub check_prereqs
{
&log_only ("-- check_prereqs");
if ( ! -f "$ARGV[0]/../share/lib/softokn3.dll" ) {
      &log_msg ("-- The patch requires that the following file exists ");
      &log_msg ("--   $ARGV[0]/../share/lib/softokn3.dll");
      &log_msg ("-- This file is part of the NSS patch");
      exit (1);
}
if ( ! -f "$ARGV[0]/lib/config-templates/Devsetup.properties" ) {
    # find configure_YYYYYMM... directory
    $TmpFile = "$ARGV[0]\\lib\\config-templates\\tmpfile.txt";
    open(TEMP,">$TmpFile");
    system("dir /B $ARGV[0]\\install\\configure_* > $TmpFile");
    if ( -z "$TmpFile" ) {
      &log_msg ("-- The patch requires that the following file exists ");
      &log_msg ("--   $ARGV[0]\lib\config-templates\Devsetup.properties");
      &log_msg ("-- You can find this file under your factory config area");
      &log_msg ("-- This will typically be in one of the following areas:");
      &log_msg ("--   $ARGV[0]/data/setup/configure_YYYYMMDDHHMMSS/");
      &log_msg ("--   $ARGV[0]/install/configure_YYYYMMDDHHMMSS/");
      &log_msg ("-- Please copy the file and apply the patch again");
      exit (1);
    } else {
      open(CONFIGDIRS,"<$TmpFile");
      $line = <CONFIGDIRS>;
      while ($line ne "") {
	$saveState = "$line\\saveState";
	if ( -f "$saveState" ) {
	  next;
	}
	$line = <CONFIGDIRS>;
      }
      &log_only ("-- saveState file: $saveState");
      # extract configure_ directory from saveState
      $configDir = dirname($saveState);
      if ( -f "$configDir/Devsetup.properties" ) {
        &log_only ("copy $configDir/Devsetup.properties $ARGV[0]/lib/config-templates");
        system("copy $configDir/Devsetup.properties $ARGV[0]/lib/config-templates");
      } else {
	&log_msg ("-- The patch requires that the following file exists ");
	&log_msg ("--   $ARGV[0]/lib/config-templates/Devsetup.properties");
	&log_msg ("-- You can find this file under your factory config area");
	&log_msg ("-- This will typically be in one of the following areas:");
	&log_msg ("--   $ARGV[0]/data/setup/configure_YYYYMMDDHHMMSS/");
	&log_msg ("--   $ARGV[0]/install/configure_YYYYMMDDHHMMSS/");
	&log_msg ("-- Please copy the file and apply the patch again");
      }
    }
    system("del $TmpFile");
}
close(CONFIGDIRS);
close(TEMP);
}

#########################################
#
# special processing for files that have moved locations
# - return_header.opt 
#   - moved template location: lib/locale/C to lib/config-templates
#   - TBD moved package: from msg_en to imta 
#
#########################################
sub save_movedfiles
{
if ( ! -f "$ARGV[0]/lib/config-templates/return_header.opt" && -f "$ARGV[0]/lib/locale/C/return_header.opt" ) {
    &log_only ("copy $ARGV[0]/lib/locale/C/return_header.opt $ARGV[0]/lib/config-templates/return_header.opt");
    system("copy $ARGV[0]/lib/locale/C/return_header.opt $ARGV[0]/lib/config-templates/return_header.opt >> $LOGFILE 2>&1");
}
}

#########################################
#
# save previous template config files prior to it being patched
# so we can do a 3 way diff later
# also create the config.list file containing the
#   list of config template files and the corresponding config file.
#   The first column is the config template file, the second column is the
#     corresponding config file. 
#
#########################################
sub save_config
{
&log_only ("-- save_config being run");
@config_templatelist_array = split(/[\t\n ]+/,$config_templatelist);
@config_configlist_array = split(/[\t\n ]+/,$config_configlist);
$count = 0;
$tmp_copyfile = "C:\\tmplogfile.txt";
open(TEMP,"$tmp_copyfile");
if( -f "$PATCHDIR/config.list" ) {
	system("del $PATCHDIR\\config.list >> $tmp_copyfile");
}
open(OUT, ">>$PATCHDIR\\config.list");
&log_msg ("-- Copying the config files to Backout Directory ........");
foreach $file (@config_templatelist_array) {
	$_ = $file;
	$file = ~s/\//\\\\/g;
	$file = $_;
	$_ = $config_configlist_array[$count];
	$config_configlist_array[$count] = ~s/\//\\\\/g;
	$config_configlist_array[$count] = $_;
	print OUT "$file $config_configlist_array[$count]\n";
	$count++;
	$dir = dirname("$BACKOUTDIR\\$file");
	if ( ! -d "$dir" ) {
		&log_only ("mkdir $dir");
		use File::Path qw(mkpath);
		mkpath $dir;
	}
	if ( -f "$BACKOUTDIR\\$file" ) {
	        &log_only ("move $BACKOUTDIR\\$file $BACKOUTDIR\\$file.orig");
	        system("move $BACKOUTDIR\\$file $BACKOUTDIR\\$file.orig");
	}    
	# if this is a new file, then there will not be a file to backup
	if ( -f "$ARGV[0]\\$file" ) {
	        &log_only ("copy $ARGV[0]\\$file $BACKOUTDIR\\$file");
	        system("copy $ARGV[0]\\$file $BACKOUTDIR\\$file >> $tmp_copyfile");
	} else {
	        &log_only ("-- No old $ARGV[0]\\$file to backup");
        }
}
close(TEMP);
system("del $tmp_copyfile");
close(OUT);
}

##########################################
#
# special hard coded stuff for things I do not handle generically
# - msg.conf has a variable that used to have a hard coded value, but
#   became a substitution variable. This causes a diff3 conflict.
#   So just modify the old template
# - certain files used to have <msg.RootPath> but that was changed to
#   <msg.RootPathUNIX> to make the builds work on Windows. But it is
#   the same thing on Unix. So to avoid the conflicts do the conversion
#   This only works on files in which all of the entries were changed
#
##########################################
sub special_hacks
{
log_only ("-- special_hacks");
$BDIR = "$BACKOUTDIR\\lib\\config-templates";
$tmp_copyfile = "C:\\tmplogfile.txt";
open(TEMP,"$tmp_copyfile");
if ( -f "$BDIR\\msg.conf" ) {
	log_only ("move $BDIR\msg.conf $BDIR\msg.conf.sed");
	system("move $BDIR\\msg.conf $BDIR\\msg.conf.sed");
	# to preserve owner and permissions
	system("copy $BDIR\\msg.conf.sed $BDIR\\msg.conf >> $tmp_copyfile"); 
	log_only ("s/local.schedule.expire= \"0 23 \* \* \* <msg.RootPath>/sbin/imexpire\"/local.schedule.expire= <schedExpire>/  s/local.schedule.return_job= \"30 0 \* \* \* <msg.RootPath>/lib/return_job\"/local.schedule.return_job= <returnJobSched>/  s/local.schedule.purge= \"0 0,4,8,12,16,20 \* \* \* <msg.RootPath>/lib/purge -num=5\"/local.schedule.purge= <purgeSched>/  s/local.schedule.return_job= \"30 0 \* \* \* <msg.RootPathUNIX>/lib/return_job\"/local.schedule.return_job= <returnJobSched>/  s/local.schedule.purge= \"0 0,4,8,12,16,20 \* \* \* <msg.RootPathUNIX>/lib/purge -num=5\"/local.schedule.purge= <purgeSched>/ from $BDIR/msg.conf.sed to $BDIR/msg.conf");
        $TmpFile1 = "$BDIR\\msg.conf.sed";
        $TmpFile2 = "$BDIR\\msg.conf.temp";
        open(IN1,"$TmpFile1");
        open(OUT1,">$TmpFile2");
        $eachline = <IN1>; 
        while($eachline ne "") {
	        $_ = $eachline ;
        	$TmpFile1 = ~s/local.schedule.expire= "0 23 \* \* \* <msg.RootPath>\/sbin\/imexpire"/local.schedule.expire= <schedExpire>/g; 
		$TmpFile1 = ~s/local.schedule.return_job= "30 0 \* \* \* <msg.RootPath>\/lib\/return_job"/local.schedule.return_job= <returnJobSched>/g;
		$TmpFile1 = ~s/local.schedule.purge= "0 0,4,8,12,16,20 \* \* \* <msg.RootPath>\/lib\/purge -num=5"/local.schedule.purge= <purgeSched>/g;
		$TmpFile1 = ~s/local.schedule.return_job= "30 0 \* \* \* <msg.RootPathUNIX>\/lib\/return_job"/local.schedule.return_job= <returnJobSched>/g;
		$TmpFile1 = ~s/local.schedule.purge= "0 0,4,8,12,16,20 \* \* \* <msg.RootPathUNIX>\/lib\/purge -num=5"/local.schedule.purge= <purgeSched>/g;
        	$TmpFile1 = $_;
        	print OUT1 $TmpFile1;
		$eachline = <IN1>;
	}
	close(IN1);
	close(OUT1);
	system("move $BDIR\\msg.conf.temp $BDIR\\msg.conf");
}
&log_only ("--   rootPath files");
@rootPath_list = ("msg.conf");
foreach $file (@rootPath_list) {
       if ( -f "$BDIR\\$file" ) {
	       log_only ("move $BDIR\$file $BDIR\$file.orig");
	       system("move $BDIR\\$file $BDIR\\$file.orig");
	       # to preserve owner and permissions
	       system("copy $BDIR\\$file.orig $BDIR\\$file >> $tmp_copyfile");
	       log_only ("s/<msg.RootPath>/<msg.RootPathUNIX>/ from $BDIR/$file.orig to $BDIR/$file");
	       $TmpFile1 = "$BDIR\\$file.orig";
	       $TmpFile2 = "$BDIR\\$file.orig.temp";
	       open(IN2,"$TmpFile1");
	       open(OUT2,">$TmpFile2");
	       $eachline = <IN2>; 
	       while($eachline ne "") {
	                $_ = $eachline ;
	       		$TmpFile1 =~s/<msg.RootPath>/<msg.RootPathUNIX>/g;
	       		$TmpFile1 = $_;
	       		print OUT2 $TmpFile1;
	       		$eachline = <IN2>;
	       }
	       close(IN2);
	       close(OUT2);
	       system("move $BDIR\\$file.orig.temp $BDIR\\$file");
       }
}
close(TEMP);
system("del $tmp_copyfile");
}